Model (Grails 6.0.0)

Package: grails.codegen.model

## [Groovy] Interface Model

-     interface Model

  The model of the naming conventions of a class used for Codegen

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract java.util.Map<java.lang.String, java.lang.Object>` | `asMap()` Returns: The model as a map
    `` | `abstract java.lang.String` | `convention(java.lang.String conventionName)` Returns the convention of this model for the given name.
    `` | `abstract java.lang.String` | `getClassName()` Returns: The class name excluding package
    `` | `abstract java.lang.String` | `getFullName()` Returns: The class name including package
    `` | `abstract java.lang.String` | `getLowerCaseName()` A lower case version of the class name separated by hyphens.
    `` | `abstract java.lang.String` | `getModelName()` A property name version of the class name.
    `` | `abstract java.lang.String` | `getPackageName()` Returns: The package name
    `` | `abstract java.lang.String` | `getPackagePath()` Returns: The package name
    `` | `abstract java.lang.String` | `getPropertyName()` A property name version of the class name.
    `` | `abstract java.lang.String` | `getSimpleName()` Returns: The class name without package

- - ### Method Detail

    - #### abstract java.util.Map<java.lang.String, java.lang.Object> asMap()

      Returns:
        The model as a map

    - #### abstract java.lang.String convention(java.lang.String conventionName)

      Returns the convention of this model for the given name. For example given a getSimpleName() of "Foo" this method will return "FooController" where the name argument is "Controller"

      Parameters:
        `conventionName` - The name
      Returns:
        The convention for the given convention name

    - #### abstract java.lang.String getClassName()

      Returns:
        The class name excluding package

    - #### abstract java.lang.String getFullName()

      Returns:
        The class name including package

    - #### abstract java.lang.String getLowerCaseName()

      A lower case version of the class name separated by hyphens. For example 'FooBar' becomes 'foo-bar'

      Returns:
        Lower case version of the class name

    - #### abstract java.lang.String getModelName()

      A property name version of the class name. For example 'FooBar' becomes 'fooBar'

      Returns:
        The property name version of the class name

    - #### abstract java.lang.String getPackageName()

      Returns:
        The package name

    - #### abstract java.lang.String getPackagePath()

      Returns:
        The package name

    - #### abstract java.lang.String getPropertyName()

      A property name version of the class name. For example 'FooBar' becomes 'fooBar'

      Returns:
        The property name version of the class name

    - #### abstract java.lang.String getSimpleName()

      Returns:
        The class name without package